# Alabama Coastal Foundation Ship Tracker

##Justin Blancher's ACFST project
This project gathers daily ship traffic through the Port of Mobile.  It documents all ships coming into and out of Mobile Bay that exceed the documentation thresholds.  Namely, any ship at least 15.0 meters wide traveling 10.0 knots or more through the bay.  The time the ships traveled through is documented from the AIS data retrieved, as well as the timestamp of when the data was queried.  Wave heights at 1m, 1000m, 2000m, and 3000m are also calculated and annotated on each qualifying ship's record.  

### `acfst.py`
The bulk of the work is done by the `acfst.py` script, written in Python 3, which creates and then appends to the daily ship log on an hourly basis via a cron job on the Sustainable Ecosystems Restoration (SER) server.

### `email_recipients.sh`
The log of ships are emailed to the consumer list daily, at 00:15 EDT/EST.  This is performed by the `email_recipients.sh` script, also run in a daily cron job on the SER server.  The recipients are listed as discrete arguments to this cron job.
